Bug 830356 - coverity 12625-12629 - leaks, dead code, unchecked return
coverity 12625-12629 - leaks, dead code, unchecked return
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 17:52 EDT by Nathan Kinder
Modified: 2013-02-21 03:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
This isn't really an issue that a customer would see, unless a customer actually uses Coverity on the 389 source code. Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:18:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2012-06-08 17:52:24 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/353

12629 Resource leak In agmt_set_enabled_from_entry(): Leak of memory or pointers to system resources
12628 Resource leak In agmt_new_from_entry(): Leak of memory or pointers to system resources
12627 Resource leak In memberof_call_foreach_dn(): Leak of memory or pointers to system resources
12626 Logically dead code In cl5CleanRUV(): Code can never be reached because of a logical contradiction
12625 Unchecked return value In trigger_cl_trimming_thread(): Value returned from a function is not checked for errors before being used
Comment 1 Jenny Galipeau 2012-06-19 14:31:31 EDT
please add steps to verify this bug
Comment 2 Noriko Hosoi 2012-07-09 15:12:39 EDT
Passing acceptance tests (mmrepl, memberof) and as long as the latest results from Coverity does not report these defects, we could mark VERIFIED.

1) The latest coverity reports these issues are solved.  Plus changing the agreement's status does not occur very often.  Thus, the impact is not high.
12629 Resource leak In agmt_set_enabled_from_entry(): Leak of memory or pointers to system resources
12628 Resource leak In agmt_new_from_entry(): Leak of memory or pointers to system resources

2) Extremely narrow possibility to hit the case.  Passing memberof acceptance test is good enough.
12627 Resource leak In memberof_call_foreach_dn(): Leak of memory or pointers to system resources

3) No effects on the server's behaviour.
12626 Logically dead code In cl5CleanRUV(): Code can never be reached because of a logical contradiction
Comment 3 Noriko Hosoi 2012-07-09 15:43:30 EDT
4) This case never occurs since trigger_cl_trimming_thread checks the possibility of failure of _cl5AddThread first.  Thus, there is no behaviour change.
12625 Unchecked return value In trigger_cl_trimming_thread(): Value returned from a function is not checked for errors before being used
Comment 5 Sankar Ramalingam 2013-01-30 06:31:18 EST
Marking the bug as verified since mmrepl and memberOf acceptance tests PASS 100%.
Comment 7 errata-xmlrpc 2013-02-21 03:18:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html

Note You need to log in before you can comment on or make changes to this bug.